import type { Metaplex } from "../../Metaplex";
import { CreateNftBuilderParams } from './createNft';
import { PrintNewEditionBuilderParams } from './printNewEdition';
import { UpdateNftBuilderParams } from './updateNft';
export declare class NftBuildersClient {
    protected readonly metaplex: Metaplex;
    constructor(metaplex: Metaplex);
    create(input: CreateNftBuilderParams): Promise<import("../..").TransactionBuilder<import("./createNft").CreateNftBuilderContext>>;
    printNewEdition(input: PrintNewEditionBuilderParams): Promise<import("../..").TransactionBuilder<import("./printNewEdition").PrintNewEditionBuilderContext>>;
    update(input: UpdateNftBuilderParams): import("../..").TransactionBuilder<object>;
}
